"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.registerDefaults = void 0;

var _lowcodeDesigner = require("@alilc/lowcode-designer");

var _parseFunc = _interopRequireDefault(require("./transducers/parse-func"));

var _parseProps = _interopRequireDefault(require("./transducers/parse-props"));

var _addonCombine = _interopRequireDefault(require("./transducers/addon-combine"));

var registerDefaults = function registerDefaults() {
  // parseFunc
  (0, _lowcodeDesigner.registerMetadataTransducer)(_parseFunc["default"], 1, 'parse-func'); // parseProps

  (0, _lowcodeDesigner.registerMetadataTransducer)(_parseProps["default"], 5, 'parse-props'); // addon/platform custom

  (0, _lowcodeDesigner.registerMetadataTransducer)(_addonCombine["default"], 10, 'combine-props');
};

exports.registerDefaults = registerDefaults;